From 7bb09fbdf490f5de8eafc635ab858b1f38dca84c Mon Sep 17 00:00:00 2001
From: kuzetsa <kuzetsa@gmail.com>
Date: Thu, 16 Aug 2018 18:31:14 -0400
Subject: [PATCH] MuQSS.c needs irq_regs.h to use get_irq_regs
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

fix(es) related to CVE-2018-{3615,3620,3646} are
available in 4.14.63 so this fix is useful for
anyone needing to use 4.14.x LTS branch...

specifically:

implicit declaration of function ‘get_irq_regs’

(it's to resolve this build error on 4.14.63)
---
 kernel/sched/MuQSS.c | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/kernel/sched/MuQSS.c b/kernel/sched/MuQSS.c
index e84d700709ff6..16364915cff53 100644
--- a/kernel/sched/MuQSS.c
+++ b/kernel/sched/MuQSS.c
@@ -70,6 +70,14 @@
 
 #include "MuQSS.h"
 
+/* needing to include irq_regs.h, "because reasons"...
+ * implicit declaration of function ‘get_irq_regs’;
+ * did you mean ‘get_ibs_caps’?
+ * [-Werror=implicit-function-declaration]
+ * ^ this is because autodetect is not flawless
+ */
+#include <asm/irq_regs.h>
+
 #define rt_prio(prio)		unlikely((prio) < MAX_RT_PRIO)
 #define rt_task(p)		rt_prio((p)->prio)
 #define batch_task(p)		(unlikely((p)->policy == SCHED_BATCH))
